package com.swago.baseswago.inter

import com.swago.baseswago.util.createService

/**
 *@date 2021/8/15 11:36
 *description:
 */
object ApiManager {

    val configApi by lazy {
        createService(ConfigApi::class.java)
    }

    val loginApi by lazy {
        createService(LoginApi::class.java)
    }

    val homeApi by lazy {
        createService(HomeApi::class.java)
    }

    val userApi by lazy {
        createService(UserApi::class.java)
    }


    val roomApi by lazy {
        createService(RoomApi::class.java)
    }

    val payApi by lazy {
        createService(PayApi::class.java)
    }
}